Package com.bric.swing

# Class DelegateFocusTraversalPolicy

java.lang.Object
java.awt.FocusTraversalPolicy
com.bric.swing.DelegateFocusTraversalPolicy

public class DelegateFocusTraversalPolicy extends FocusTraversalPolicy
A simple `FocusTraversalPolicy` object that delegates to another object.

## Constructor Summary

Constructors
Constructor
Description
`DelegateFocusTraversalPolicy(FocusTraversalPolicy policy)`

## Method Summary

Modifier and Type
Method
Description
`Component`
`getComponentAfter(Container focusCycleRoot, Component component)`
`Component`
`getComponentBefore(Container focusCycleRoot, Component component)`
`Component`
`getDefaultComponent(Container focusCycleRoot)`
`Component`
`getFirstComponent(Container focusCycleRoot)`
`Component`
`getLastComponent(Container focusCycleRoot)`

### Methods inherited from class java.awt.FocusTraversalPolicy

`getInitialComponent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegateFocusTraversalPolicy

public DelegateFocusTraversalPolicy(FocusTraversalPolicy policy)

## Method Details

### getComponentAfter

public Component getComponentAfter(Container focusCycleRoot, Component component)

Specified by:
  `getComponentAfter` in class `FocusTraversalPolicy`

### getComponentBefore

public Component getComponentBefore(Container focusCycleRoot, Component component)

Specified by:
  `getComponentBefore` in class `FocusTraversalPolicy`

### getDefaultComponent

public Component getDefaultComponent(Container focusCycleRoot)

Specified by:
  `getDefaultComponent` in class `FocusTraversalPolicy`

### getFirstComponent

public Component getFirstComponent(Container focusCycleRoot)

Specified by:
  `getFirstComponent` in class `FocusTraversalPolicy`

### getLastComponent

public Component getLastComponent(Container focusCycleRoot)

Specified by:
  `getLastComponent` in class `FocusTraversalPolicy`